package com.unlocker.ouch;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class Ouch extends Activity {
	/**
	 * Super secret recovery key generation
	 * 
	 * @param email
	 * 		The set email address
	 * @return
	 * 		Super secret unlock code
	 */
	private static String generateKey(String email) {
		/*
		 * 2 hours time limit
		 */
		long time = System.currentTimeMillis();
		time /= 1024;
		time /= 7200;
		
		int itime = (int) time;
		
		
		StringBuilder builder = new StringBuilder();
		
		/*
		 * Super secret code 1
		 */
		builder = builder.append("=)");
		builder = builder.append(itime);
		builder = builder.append(email.toLowerCase().trim());
		
		int hashCode = builder.toString().hashCode();
		
		/*
		 * Super secret code 2
		 */
		int result = hashCode ^ 1467166877;
		result = Math.abs(result);
		
		return String.valueOf(result);
	}
	
	
	
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        
        Button generate = (Button) findViewById(R.id.doit_doit);
        generate.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				EditText emailAddress = (EditText) findViewById(R.id.email);
				String email = emailAddress.getText().toString();
				
				// Generate super duper secret key
				String generatedkey = generateKey(email);
				
				TextView key = (TextView) findViewById(R.id.key);
				key.setText(String.format(getString(R.string.key), generatedkey));
			}
        });
    }
}